Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365531 - Statically linked binary segfaults [NEEDINFO]
Summary: Statically linked binary segfaults
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Developer Toolset
Classification: Red Hat
Component: gcc
Version: DTS 6.0 RHEL 6
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: alpha
: 6.0
Assignee: Jakub Jelinek
QA Contact: Michael Petlan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 13:10 UTC by Miloš Prchlík
Modified: 2016-11-15 10:10 UTC (History)
8 users (show)

Fixed In Version: devtoolset-6-gcc-6.1.1-5.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-15 10:10:50 UTC
mpolacek: needinfo? (kanderso)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2734 normal SHIPPED_LIVE new packages: devtoolset-6-gcc 2016-11-15 14:47:21 UTC

Comment 3 Jakub Jelinek 2016-08-10 20:26:50 UTC
Hopefully fixed in devtoolset-6-gcc-6.1.1-5.el6

Comment 6 Michael Petlan 2016-08-12 23:28:08 UTC
Tested using the related testcases against devtoolset-6-gcc-6.1.1-5.el6 and the issue seems to be gone. The other than x86_64 RHEL6 environments seem to pass with both -4.1 and -5. However, we will know more after we review the whole runs again.

VERIFIED

Comment 8 errata-xmlrpc 2016-11-15 10:10:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2734.html


Note You need to log in before you can comment on or make changes to this bug.